#!/bin/bash
-if [ $# -ne 3 -o "$1" = "-h" -o "$1" = "--help" ]; then
- echo "$0 <folder_in> <template_file> <suffix>"
+if [ $# -ne 2 -o "$1" = "-h" -o "$1" = "--help" ]; then
+ echo "$0 <folder_in> <deck_id>"
exit 1
fi
fold=$1
-tmpl=$2
-sfx=$3
+deck=$2
+template="${fold}/${deck}_src/border_template.png"
-w=$(identify -format "%w" ${fold}/00${sfx}.png)
-h=$(identify -format "%h" ${fold}/00${sfx}.png)
+w=$(identify -format "%w" ${fold}/00.png)
+h=$(identify -format "%h" ${fold}/00.png)
-wt=$(identify -format "%w" "${tmpl}")
-ht=$(identify -format "%h" "${tmpl}")
+wt=$(identify -format "%w" "$template")
+ht=$(identify -format "%h" "$template")
x=$(((wt - w) / 2))
y=$(((ht - h) / 2))
+dest_dir="${fold}/${deck}_tmp"
+
for card in $(seq 0 39); do
- convert "$tmpl" $(printf "%s/%02d%s.png" "$fold" "$((seed * 10 + card))" "$sfx") \
- -geometry +${x}+${y} -composite $(printf "%s/%02d_bord%s.png" "$fold" "$((seed * 10 + card))" "$sfx")
+ convert "$template" $(printf "%s/%02d.png" "$fold" "$((seed * 10 + card))") \
+ -geometry +${x}+${y} -composite $(printf "%s/%02d.png" "$dest_dir" "$((seed * 10 + card))")
done
+cp "${fold}/${deck}_src/cover.png" "${dest_dir}/40.png"
# set -x
-if [ $# -ne 3 -o "$1" = "-h" -o "$1" = "--help" ]; then
- echo "$0 <folder_in> <suffix> <file_out_without_extension>"
+if [ $# -ne 2 -o "$1" = "-h" -o "$1" = "--help" ]; then
+ echo "$0 <folder_in> <deck>"
exit 1
fi
fold=$1
-sfx=$2
-fou=$3
+deck=$2
-w=$(identify -format "%w" ${fold}/00${sfx}.png)
-h=$(identify -format "%h" ${fold}/00${sfx}.png)
+fold_in="${fold}/${deck}_tmp"
+fold_ou="${fold}/${deck}_out"
-convert -size $((w * 9))x$((h * 5)) xc:none ${fou}${sfx}_bg.png
-convert -size $((h * 9))x$((w * 5)) xc:none ${fou}${sfx}_oriz_bg.png
+# sfx=$2
-convert -size ${w}x${h} xc:none ${fou}${sfx}_empty.png
-convert -size ${h}x${w} xc:none ${fou}${sfx}_empty_ea.png
-cp ${fou}${sfx}_empty_ea.png ${fou}${sfx}_empty_we.png
-cssname="${fou}${sfx}.css"
+w=$(identify -format "%w" ${fold_in}/00.png)
+h=$(identify -format "%h" ${fold_in}/00.png)
+
+convert -size $((w * 9))x$((h * 5)) xc:none ${fold_in}/${deck}_bg.png
+convert -size $((h * 9))x$((w * 5)) xc:none ${fold_in}/${deck}_oriz_bg.png
+
+convert -size ${w}x${h} xc:none ${fold_ou}/${deck}_empty.png
+convert -size ${h}x${w} xc:none ${fold_ou}/${deck}_empty_ea.png
+cp ${fold_ou}/${deck}_empty_ea.png ${fold_ou}/${deck}_empty_we.png
+cssname="${fold_ou}/cards_${deck}.css"
rm -f $cssname
touch $cssname
if [ "$direction" != "" ]; then
horiz_sfx="_oriz"
fi
- argz="${fou}${sfx}${horiz_sfx}_bg.png"
+ argz="${fold_in}/${deck}${horiz_sfx}_bg.png"
for seed in 0 1 2 3 4; do
for card in $(seq 0 9); do
if [ "$card_id" = "40" ]; then
card_id="cover"
fi
- card_url=$(echo "$fou" | sed 's@.*/\([^/]\+/[^/]\+$\)@\1@g')
+ card_url=$(echo "$fold_ou" | sed 's@.*/\([^/]\+/[^/]\+$\)@\1@g')
cat <<EOF >> $cssname
img[data-card-id="${card_id}${direction}"] {
background: url('${card_url}${direction}.png') -${x}px -${y}px;
EOF
- fin_no=$(printf "%s/%02d%s.png" "$fold" "$((seed * 10 + card))" "$sfx")
- fin=$(printf "%s/%02d%s%s.png" "$fold" "$((seed * 10 + card))" "$sfx" "$direction")
- if [ $seed -lt 4 ]; then
+ if [ "$card_id" = "40" ]; then
+ fin_no=$(printf "%s/%s_src/cover${direction}.png" "$fold_in" "$deck" "$((seed * 10 + card))")
+ fin=$(printf "%s/%02d%s.png" "$fold_in" "$((seed * 10 + card))" "$direction")
if [ "$direction" == "" ]; then
- :
- elif [ "$direction" == "_ea" ]; then
- convert -rotate 270 "$fin_no" "$fin"
- elif [ "$direction" == "_we" ]; then
- convert -rotate 90 "$fin_no" "$fin"
- else
- exit 1
+ cp "$fin_no" "$fin"
fi
+ else
+ fin_no=$(printf "%s/%02d.png" "$fold_in" "$((seed * 10 + card))")
+ fin=$(printf "%s/%02d%s.png" "$fold_in" "$((seed * 10 + card))" "$direction")
+ fi
+ if [ "$direction" == "" ]; then
+ :
+ elif [ "$direction" == "_ea" ]; then
+ convert -rotate 270 "$fin_no" "$fin"
+ elif [ "$direction" == "_we" ]; then
+ convert -rotate 90 "$fin_no" "$fin"
+ else
+ exit 1
fi
argz="$argz $fin -geometry +${x}+${y} -composite "
fi
done
done
- # full color: argz="$argz ${fou}${sfx}.png"
- argz="$argz +dither -colors 255 ${fou}${sfx}${direction}.png"
+ # full color: argz="$argz ${fold_ou}${deck}.png"
+ argz="$argz +dither -colors 255 ${fold_ou}/${deck}${direction}.png"
convert $argz
- echo "Created ${fou}${sfx}${direction}.png"
+ echo "Created ${fold_ou}/${deck}${direction}.png"
done
-rm ${fold}/[0-3][0-9]${sfx}*.png ${fou}${sfx}_bg.png ${fou}${sfx}_oriz_bg.png
+# rm ${fold}/[0-3][0-9]${deck}*.png ${fold_ou}${deck}_bg.png ${fold_ou}${deck}_oriz_bg.png